
From: Michael Ellerman <michael@ellerman.id.au>

Mike's patch "ppc64: NUMA memory fixup (another try)" broke the
numa code when "numa=off" is specified on the kernel command line.

The fix is to pretend everything is in node 0 when numa is disabled.

Boot tested on pSeries LPAR with numa=off and numa=debug (ie. on).

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/mm/numa.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc64/mm/numa.c~ppc64-make-numa=off-command-line-argument-work-again arch/ppc64/mm/numa.c
--- 25/arch/ppc64/mm/numa.c~ppc64-make-numa=off-command-line-argument-work-again	2005-03-23 02:45:50.000000000 -0800
+++ 25-akpm/arch/ppc64/mm/numa.c	2005-03-23 02:45:50.000000000 -0800
@@ -609,7 +609,7 @@ void __init do_init_bootmem(void)
 new_range:
 			mem_start = read_n_cells(addr_cells, &memcell_buf);
 			mem_size = read_n_cells(size_cells, &memcell_buf);
-			numa_domain = of_node_numa_domain(memory);
+			numa_domain = numa_enabled ? of_node_numa_domain(memory) : 0;
 
 			if (numa_domain != nid)
 				continue;
_
